## javax.el
Class FunctionMapper

    java.lang.Object
      javax.el.FunctionMapper

Direct Known Subclasses:
  FunctionMapperFactory, FunctionMapperImpl, ProtectedFunctionMapper

    public abstract class FunctionMapper

extends Object

The interface to a map between EL function names and methods.

A `FunctionMapper` maps `${prefix:name()}` style functions to a static method that can execute that function.

Since:
  JSP 2.1

Constructor Summary
`FunctionMapper()`

Method Summary
`abstract Method` `resolveFunction(String prefix, String localName)` Resolves the specified prefix and local name into a `java.lang.Method`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FunctionMapper

    public FunctionMapper()

Method Detail

### resolveFunction

    public abstract Method resolveFunction(String prefix,
                                           String localName)

  Resolves the specified prefix and local name into a `java.lang.Method`.

  Returns `null` if no function could be found that matches the given prefix and local name.

  Parameters:
    `prefix` - the prefix of the function, or "" if no prefix. For example, `"fn"` in `${fn:method()}`, or `""` in `${method()}`.
    `localName` - the short name of the function. For example, `"method"` in `${fn:method()}`.
  Returns:
    the static method to invoke, or `null` if no match was found.

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.